TermIgnorer Class Reference

`#include <TermIgnorer.h>`

Inheritance diagram for TermIgnorer:

## Public Member Functions

virtual void | consume (const Term &term)
| Consume a term.
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | beginConsuming ()=0
| Tell the consumer to begin consuming an ideal.
virtual void | doneConsuming ()=0
| Must be called once after each time beginConsuming has been called.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Detailed Description

Definition at line 25 of file TermIgnorer.h.

## Member Function Documentation

## consume()

virtual void TermIgnorer::consume | ( | const Term & | term | ) |

inline virtual

Consume a term.

Implements TermConsumer.

Definition at line 27 of file TermIgnorer.h.

The documentation for this class was generated from the following file:

- src/TermIgnorer.h